Package twisted :: Package internet :: Module interfaces :: Class IListeningPort |
[frames | no frames]

## Class IListeningPort

    Interface --+
                |
               IListeningPort

A listening port.

Method Summary
| ``getHost`(self)` Get the host that this port is listening for.
| ``startListening`(self)` Start listening on this port.
| ``stopListening`(self)` Stop listening on this port.

Method Details

### getHost(self) Get the host that this port is listening for. Returns: a tuple of `(proto_type, ...)`, where proto_type will be a string such as 'INET', 'SSL', 'UNIX'. The rest of the tuple will be identifying information about the port.

### startListening(self) Start listening on this port. Raises: `CannotListenError` - as defined in `twisted.internet.error`, if it cannot listen on this port (e.g., it is a TCP port and it cannot bind to the required port number)

### stopListening(self) Stop listening on this port.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:05 2003 | http://epydoc.sf.net